# $Revision: 1.77 $, $Date: 2012/03/28 16:37:56 $
Summary:	Default icon themes for GNOME environment
Summary(pl.UTF-8):	Domyślne motywy ikon dla środowiska GNOME
Name:		gnome-icon-theme
Version:	3.4.0
Release:	1
License:	GPL
Group:		Themes
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	819b176759e8278febdec2b1082db667
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	gtk-update-icon-cache
BuildRequires:	icon-naming-utils >= 0.8.7
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post):	gtk-update-icon-cache
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkgconfigdir	%{_datadir}/pkgconfig

%description
Default icon themes for GNOME environment.

%description -l pl.UTF-8
Domyślne motywy ikon dla środowiska GNOME.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	GTK_UPDATE_ICON_CACHE=/bin/true
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	install_sh="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

> $RPM_BUILD_ROOT%{_iconsdir}/gnome/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache gnome

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%dir %{_iconsdir}/gnome
%{_iconsdir}/gnome/index.theme
%{_iconsdir}/gnome/[0-9]*x*
%ghost %{_iconsdir}/gnome/icon-theme.cache
%{_pkgconfigdir}/gnome-icon-theme.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-icon-theme.spec,v $
Revision 1.77  2012/03/28 16:37:56  kiesiu
- updated to 3.4.0; merged from DEVEL

Revision 1.76.2.1  2012/03/05 19:42:25  megabajt
- updated to 3.3.91

Revision 1.76  2011/10/19 17:24:54  wiget
- up to 3.2.1.2

Revision 1.75  2011/10/18 19:20:20  kiesiu
- updated to 3.2.1

Revision 1.74  2011/09/28 16:56:32  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.73.2.2  2011/09/06 14:34:12  wiget
- switch to .xz

Revision 1.73.2.1  2011/09/01 22:35:03  patrys
- 3.1.90

Revision 1.73  2011/07/12 21:44:38  glen
- cosmetic

Revision 1.72  2011/07/12 21:32:07  glen
- mark cachefile as ghost
- avoid building cachefile at build time that won't be used
- use binary install (faster) and preserve timestamps
- rel 2

Revision 1.71  2011/04/06 08:02:11  megabajt
- updated to 3.0.0

Revision 1.69.2.4  2011/03/30 20:02:50  megabajt
- updated to 2.91.93

Revision 1.69.2.3  2011/03/23 09:58:57  wiget
- up to 2.91.92

Revision 1.69.2.2  2011/02/21 16:21:31  megabajt
- updated to 2.91.7

Revision 1.70  2011/02/04 18:23:49  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.69.2.1  2010/12/20 22:21:32  patrys
- 2.91.0

Revision 1.69  2010/10/11 18:26:36  megabajt
- don't call %update_icon_cache in postun (theme is provided by this
  package, so after removing it there is nothing to update)
- release 2

Revision 1.68  2010/05/28 10:52:34  megabajt
- updated to 2.30.3

Revision 1.67  2010/04/29 17:34:44  patrys
- rebuild cache after installing because of symbolic package
- rel 2

Revision 1.66  2010/04/29 17:22:20  patrys
- 2.30.2.1

Revision 1.65  2010/04/27 14:54:24  megabajt
- updated to 2.30.2

Revision 1.64  2010/04/17 08:09:52  megabajt
- updated to 2.30.1

Revision 1.63  2010/03/30 16:30:33  megabajt
- cleanup

Revision 1.62  2010/03/30 07:20:42  patrys
- merged from DEVEL

Revision 1.61.2.4  2010/03/30 07:17:28  patrys
- 2.30.0

Revision 1.61.2.3  2010/03/29 18:15:51  patrys
- 2.29.3

Revision 1.61.2.2  2010/03/09 10:09:20  patrys
- 2.29.92

Revision 1.61.2.1  2010/02/25 22:48:01  megabajt
- updated to 2.29.0
- added -pc.patch

Revision 1.61  2009/11/25 14:24:12  sparky
- BR: gettext-devel, glib2-devel

Revision 1.60  2009/09/24 20:25:52  patrys
- merged from DEVEL

Revision 1.59.2.2  2009/09/24 20:25:31  patrys
- 2.28.0

Revision 1.59.2.1  2009/08/13 09:04:30  patrys
- 2.27.90

Revision 1.59  2009/03/17 17:32:24  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.58.2.3  2009/03/12 09:39:18  megabajt
- updated to 2.25.92

Revision 1.58.2.2  2009/02/21 20:01:54  megabajt
- updated to 2.25.91

Revision 1.58.2.1  2009/02/12 09:40:49  patrys
- 2.25.90

Revision 1.58  2008/09/27 12:15:08  megabajt
- updated Source-md5

Revision 1.57  2008/09/27 10:58:48  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.56.2.7  2008/09/12 22:23:04  patrys
- 2.23.92

Revision 1.56.2.6  2008/08/31 12:57:13  patrys
- 2.23.91

Revision 1.56.2.5  2008/08/19 09:38:22  patrys
- 2.23.90

Revision 1.56.2.4  2008/07/23 21:34:03  patrys
- 2.23.3

Revision 1.56.2.3  2008/06/15 19:53:20  megabajt
- BR: intltool >= 0.40.0

Revision 1.56.2.2  2008/06/15 17:09:07  patrys
- 2.23.2

Revision 1.56.2.1  2008/06/15 15:08:15  megabajt
- updated to 2.23.1

Revision 1.56  2008-03-11 18:02:07  megabajt
- updated to 2.22.0; merged changes from DEVEL
- reverted change from rev 1.55

Revision 1.54.2.2  2008-02-25 16:21:03  megabajt
- updated to 2.21.92

Revision 1.55  2008/02/16 14:38:56  hawk
- added missing icon dirs, fixed broken directory deps, please remember
  to update list of missing dir when upgrading package

Revision 1.54.2.1  2007-12-19 20:25:16  patrys
- 2.21.4

Revision 1.54  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.53  2007/09/18 09:32:42  patrys
- 2.20.0

Revision 1.51.2.1  2007/08/29 01:35:47  patrys
- 2.19.91

Revision 1.51  2007/08/05 21:36:49  wolvverine
- rel.2

Revision 1.50  2007/03/13 10:45:07  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.49  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.48  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.47  2006/12/25 23:32:30  megabajt
- up to 2.16.1

Revision 1.46.2.4  2007/03/02 17:07:39  megabajt
- updated md5

Revision 1.46.2.3  2007/03/02 17:04:00  megabajt
- updated to 2.17.91
- use noarch pkgconfig dir and now BA: noarch

Revision 1.46.2.2  2007/02/12 13:20:13  baggins
- converted to UTF-8

Revision 1.46.2.1  2006/12/19 10:54:06  patrys
- 2.17.3

Revision 1.46  2006/09/05 20:25:59  grzegol
- 2.16.0.1

Revision 1.45  2006/09/04 18:21:40  grzegol
- 2.16.0

Revision 1.44  2006/08/21 21:14:03  freetz
- 2.15.92, updated deps

Revision 1.43  2006/08/08 18:53:36  freetz
- 2.15.91, updated BR

Revision 1.42  2006/07/25 16:36:13  freetz
- 2.15.90

Revision 1.41  2006/07/12 17:22:03  freetz
- 2.15.3, updated deps

Revision 1.40  2006/06/07 15:34:07  freetz
- 2.15.2, bleeding edge deps

Revision 1.39  2006/04/01 21:22:20  freetz
- merged from DEVEL

Revision 1.38.2.7  2006/03/14 22:21:33  freetz
- 2.14.2

Revision 1.38.2.6  2006/02/25 22:46:00  freetz
- 2.14.1

Revision 1.38.2.5  2006/02/19 20:54:53  freetz
- commented out icon-naming-utils BR

Revision 1.38.2.4  2006/02/17 20:13:21  aflinta
- up to 2.14.0

Revision 1.38.2.3  2006/02/07 12:44:41  freetz
- 2.13.7

Revision 1.38.2.2  2006/02/05 08:50:24  freetz
- 2.13.6

Revision 1.38.2.1  2006/01/22 21:59:57  freetz
- 2.13.5.1, updated BR, build icon cache, dropped hicolor-icon-theme deps

Revision 1.38  2005/10/04 19:53:23  freetz
- 2.12.1

Revision 1.37  2005/09/06 13:30:16  aflinta
- merged from DEVEL

Revision 1.36.2.6  2005/09/05 12:59:51  paladine
- updated to 2.12.0

Revision 1.36.2.5  2005/08/22 20:33:08  aflinta
- 2.11.92

Revision 1.36.2.4  2005/08/09 11:38:03  paladine
- updated to 2.11.91

Revision 1.36.2.3  2005/07/25 19:16:23  freetz
- 2.11.90

Revision 1.36.2.2  2005/07/15 09:35:11  wiget
- 2.11.5

Revision 1.36.2.1  2005/07/03 15:57:32  freetz
- 2.11.4

Revision 1.36  2005/03/22 23:59:44  paladine
- updated to 2.10.1

Revision 1.35  2005/03/08 00:41:02  wrobell
- merged from DEVEL

Revision 1.34.2.4  2005/03/08 00:39:30  wrobell
- ver. 2.10.0

Revision 1.34.2.3  2005/02/28 18:51:58  paladine
- updated to 2.9.92
- added some files to %%doc

Revision 1.34.2.2  2005/02/08 12:44:37  grzegol
- updated to 2.9.91

Revision 1.34.2.1  2005/02/07 00:12:04  grzegol
- updated to 2.9.90

Revision 1.34  2004/09/13 16:59:44  grzegol
- merged from DEVEL and updated to 2.8.0
- removed outdated locale-names and shellscript patches

Revision 1.33  2004/08/08 00:32:47  ankry
- it is not noarch because of %%{_pkgconfigdir} usage, rel. 2

Revision 1.32  2004/06/07 11:19:27  aflinta
- up to version 1.2.3

Revision 1.31.2.8  2004/08/30 12:25:22  grzegol
- updated to 2.7.90

Revision 1.31.2.7  2004/08/16 20:59:35  aflinta
- up to version 1.3.7

Revision 1.31.2.6  2004/08/08 11:01:54  grzegol
- removed noarch

Revision 1.31.2.5  2004/08/03 11:36:18  grzegol
- updated to 1.3.6

Revision 1.31.2.4  2004/07/19 17:16:17  grzegol
- updated to 1.3.5

Revision 1.31.2.3  2004/07/01 13:21:13  grzegol
- updated to 1.3.4

Revision 1.31.2.2  2004/06/07 17:31:30  freetz
- 1.3.3

Revision 1.31.2.1  2004/06/05 15:43:51  freetz
- 1.3.2 - gnome 2.8 developement series

Revision 1.31  2004/04/19 10:50:34  grzegol
- updated to 1.2.1

Revision 1.30  2004/03/28 22:27:19  qrczak
- Fix a dangling symlink (gnome-mime-text-x-sh.png).
  Somebody should also fix gnome-file-types-properties to not hang
  on dangling symlinks.
- Release 2.

Revision 1.29  2004/03/23 01:08:52  qboosh
- use _iconsdir macro

Revision 1.28  2004/03/22 10:16:58  aflinta
- merged from DEVEL, up to version 1.2.0

Revision 1.27.2.13  2004/03/15 16:29:10  grzegol
- updated to 1.1.91

Revision 1.27.2.12  2004/03/08 12:05:01  grzegol
- updated to 1.1.90

Revision 1.27.2.11  2004/02/23 20:44:27  grzegol
- added locale-names patch (changes locale no -> nb)
- rel. 2

Revision 1.27.2.10  2004/02/23 14:50:58  aflinta
- up to version 1.1.8

Revision 1.27.2.9  2004/02/11 08:40:09  aflinta
- up to version 1.1.7

Revision 1.27.2.8  2004/02/06 12:41:23  grzegol
- hicolor-icon-theme isn't neccessary to build gnome-icon-theme

Revision 1.27.2.7  2004/02/06 02:59:07  wiget
- hicolor related changes

Revision 1.27.2.6  2004/01/30 21:56:02  grzegol
- updated to 1.1.6
- added DESTDIR patch

Revision 1.27.2.5  2004/01/23 15:05:34  grzegol
- updated to 1.1.5
- added hicolor-icon-theme (Source1) - required

Revision 1.27.2.4  2003/12/28 14:01:40  grzegol
- updated to 1.1.4

Revision 1.27.2.3  2003/12/08 20:18:24  wiget
- 1.1.3

Revision 1.27.2.2  2003/11/24 21:46:35  wiget
- up to 1.1.2

Revision 1.27.2.1  2003/11/14 08:51:40  wiget
- 1.1.1

Revision 1.27  2003/09/08 18:58:15  grzegol
- updated to 1.0.9

Revision 1.26  2003/09/02 13:38:12  grzegol
- updated to 1.0.8

Revision 1.25  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.24  2003/08/25 22:58:53  grzegol
- updated to 1.0.7
- removed %%find_lang (translations are now stored in theme files)

Revision 1.23  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.22  2003/07/08 20:42:36  aflinta
- version 1.0.6

Revision 1.21  2003/06/10 15:40:15  wiget
- updated to 1.0.5

Revision 1.20  2003/06/04 07:06:01  aflinta
- version 1.0.4

Revision 1.19  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 05:48:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/19 12:46:24  aflinta
- version 1.0.3

Revision 1.16  2003/03/31 11:31:18  aflinta
- updated to version 1.0.2

Revision 1.15  2003/03/10 20:32:58  aflinta
- updated to version 1.0.1

Revision 1.14  2003/01/27 00:54:28  wrobell
- rel. 2

Revision 1.13  2003/01/24 20:53:18  adgor
- Fixed %%files, added %find_lang macro

Revision 1.12  2003/01/20 20:32:00  aflinta
- updated to version 1.0.0

Revision 1.11  2003/01/13 22:07:22  aflinta
- updated to version 0.91

Revision 1.10  2002/12/16 18:31:10  aflinta
- updated to version 0.1.5

Revision 1.9  2002/12/09 15:23:39  aflinta
- updated to version 0.1.4

Revision 1.8  2002/12/05 10:45:30  aflinta
- moved from /usr/X11R6 to /usr, release 2

Revision 1.7  2002/11/25 20:01:10  aflinta
- updated to version 0.1.3

Revision 1.6  2002/11/04 13:53:30  trojan
- updated to 0.1.1

Revision 1.5  2002/10/25 12:16:24  malekith
- release 3

Revision 1.4  2002/10/25 10:06:15  trojan
- BuildArch: noarch

Revision 1.3  2002/10/24 22:10:37  malekith
- release 2

Revision 1.2  2002/10/05 23:11:39  qboosh
- pl fix

Revision 1.1  2002/10/05 14:06:20  aflinta
- initial release
